NX Open C++ Reference Guide
|
Records / queries view section preferences. More...
Public Member Functions | |
bool | LoadExact () |
Returns the load exact geometry on a save section curves operation view section preference. | |
void | SetDefaults () |
Set current view section preferences to the default customer default values. | |
void | SetLoadExact (bool loadExact) |
Sets the load exact geometry on a save section curves operation view section preference. | |
void | SetTranslucentPlanes (bool translucentPlanes) |
Sets the translucent plane setting view section preference. | |
bool | TranslucentPlanes () |
Returns the translucent plane setting view section preference. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Records / queries view section preferences.
To obtain a instance of this class use Preferences::SessionPreferences::CreateViewSectionPreference
Created in NX7.5.0.
bool NXOpen::Preferences::ViewSection::LoadExact | ( | ) |
Returns the load exact geometry on a save section curves operation view section preference.
Created in NX7.5.0.
License requirements : None
void NXOpen::Preferences::ViewSection::SetDefaults | ( | ) |
Set current view section preferences to the default customer default values.
Created in NX7.5.0.
License requirements : None
void NXOpen::Preferences::ViewSection::SetLoadExact | ( | bool | loadExact | ) |
Sets the load exact geometry on a save section curves operation view section preference.
Created in NX7.5.0.
License requirements : None
loadExact | loadexact |
void NXOpen::Preferences::ViewSection::SetTranslucentPlanes | ( | bool | translucentPlanes | ) |
Sets the translucent plane setting view section preference.
Created in NX7.5.0.
License requirements : None
translucentPlanes | translucentplanes |
bool NXOpen::Preferences::ViewSection::TranslucentPlanes | ( | ) |
Returns the translucent plane setting view section preference.
Created in NX7.5.0.
License requirements : None